Issue638

Title obstacle labels changed obstacles as obstacles were removed from map
Priority critical Status resolved
Assigned To fluzz Keywords
Linked issues Watchers fluzz

Submitted on 2013-02-02 18h52 by matthiaskrgr, last changed by matthiaskrgr.

Messages
Author: matthiaskrgr Date: 2013-02-02   18h52
obstacle labels change obstacles as old obstacles were deleted from map.

in

commit e8f463dd40030e8ed00df298622a9cf566797025
Author: Matthias Kr├╝ger
Date:   Sat Feb 2 15:55:40 2013 +0100

    map: level 24: remove dublicated autogun bot.

I removed some obstacles from the map. When I now add new obstacles to the map,
these get obstacles labels of preexisting obstacles assigned.

The bug is also reproducible if you apply  http://pastebin.com/tduwqse1 onto
8406eb8bf6da569d18e7b6e69fe73cee1fa4fef6

git checkout 8406eb8bf6da569d18e7b6e69fe73cee1fa4fef6 ; curl 
"http://pastebin.com/raw.php?i=tduwqse1" | patch -p1




I noticed that the line
t18 x10.50 y73.50
moves in e8f463dd40030e8ed00df298622a9cf566797025.

When I moved it back down, the red droid pad also had a map label attached.

git checkout e8f463dd40030e8ed00df298622a9cf566797025 ; curl
"http://pastebin.com/raw.php?i=qkRzSKTG" | patch -p1
Author: matthiaskrgr Date: 2013-02-07   18h27
Fixed in b59b1366d5394c32aa60b2d2d9cdc7cac474aee7 .
History
Date User Action Args
2013-02-08 13:28:15matthiaskrgrlinkissue593 linked
2013-02-07 18:27:57matthiaskrgrsetstatus: open -> resolved
assignedto: fluzz
messages: + msg2421
nosy: + fluzz
2013-02-03 11:12:07matthiaskrgrsettitle: map labels changed obstacles as obstacles were removed from map -> obstacle labels changed obstacles as obstacles were removed from map
2013-02-02 18:52:44matthiaskrgrcreate